"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_interface_1 = require("./di.interface");
var di_support_1 = require("./di.support");
var settings;
var databaseStorage;
/**
 * @stable [31.10.2018]
 * @returns {INumberConverter}
 */
exports.getNumberConverter = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.NumberConverter); };
/**
 * @stable [09.11.2018]
 * @returns {IUIFactory}
 */
exports.getUiFactory = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.UIFactory); };
/**
 * @stable [15.11.2018]
 * @returns {TranslatorT}
 */
exports.getTranslator = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Translate); };
/**
 * @stable [29.07.2019]
 * @returns {ISettings}
 */
exports.getSettings = function () {
    return settings = settings || di_support_1.staticInjector(di_interface_1.DI_TYPES.Settings);
};
/**
 * @stable [29.07.2019]
 * @returns {IStorage}
 */
exports.getDatabaseStorage = function () {
    return databaseStorage = databaseStorage || di_support_1.staticInjector(di_interface_1.DI_TYPES.DatabaseStorage);
};
/**
 * @stable [23.02.2019]
 * @returns {TApi}
 */
exports.getApi = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Api); };
//# sourceMappingURL=di.services.js.map