/**
 * @stable [01.08.2019]
 * @param {string} url
 * @param {RequestInit} options
 * @returns {Promise<Blob>}
 */
export declare const fromUrlToBlob: (url: string, options?: RequestInit) => Promise<Blob>;
/**
 * @stable [28.06.2018]
 * @param {string} url
 * @param {string} fileName
 * @param {RequestInit} options
 */
export declare const downloadBlob: (url: string, fileName: string, options?: RequestInit) => Promise<void>;
